Bug 1311054 - [Bug] scap-security-guide package does not acknowledge Red Hat Compute Node as valid RHEL 6 OS
[Bug] scap-security-guide package does not acknowledge Red Hat Compute Node a...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scap-security-guide (Show other bugs)
6.5
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Watson Yuuma Sato
Marek Haicman
:
Depends On:
Blocks: 1269194 1343211
  Show dependency treegraph
 
Reported: 2016-02-23 04:42 EST by Adi Akbar
Modified: 2017-03-21 07:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-21 07:51:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adi Akbar 2016-02-23 04:42:52 EST
Description of problem:

Customer has installed the openscap-1.0.10-3.el6 packages and the scap-security-guide-0.1.26-1.el6 packages, and when they run the scanner on a node running the Compute Node the Red Hat RPM GPG key test fails because the OS is not recognized, and the test assumes CentOS. They expect to see that the Red Hat Compute Node OS is properly recognized, and the RHEL 6 RPM GPG key is properly detected.

Version-Release number of selected component (if applicable):

RHEL HPC Node

How reproducible:

The Scap scanner properly detects the OS and the RPM GPG key when the /etc/system-release-cpe contains "workstation" or "server" but it does not correctly detect the RHEL OS when the file contains "computenode".

Actual results:

/etc/system-release-cpe does not contain computenode

Expected results:

/etc/system-release-cpe should contain computenode

Additional info:

The file /usr/share/xml/scap/ssg/content/ssg-rhel6-xccdf.xml  and ssg-rhel6-oval.xml  in the same directory from the package scap-security-guide need to be updated to accept the "computenode" string in the /etc/system-release-cpe file as a valid instance of the Red Hat 6 Linux OS.
Comment 2 Šimon Lukašík 2016-02-23 08:53:58 EST
We do not look into /etc/system-release-cpe. We run an equivalent of command

  rpm -q --whatprovides /etc/redhat-release

as part of our CPE check. We have improved CPE in coming release. We have CPE dictionary in two places however: openscap and scap-security-guide packages.

I have verified that this bug is not present in the coming openscap-1.2.8-2.el6.x86_64 (rhel-6.8 beta).

  # oscap oval eval /usr/share/openscap/cpe/openscap-cpe-oval.xml | grep rhel:def:6
  Definition oval:org.open-scap.cpe.rhel:def:6: true
  # cat /etc/system-release-cpe 
  cpe:/o:redhat:enterprise_linux:6computenode:beta:computenode

We need to check scap-security-guide's CPE as well.
Comment 3 Šimon Lukašík 2016-02-23 09:02:33 EST
The bug is present in the coming scap-security-guide-0.1.28-2.el6

  # oscap oval eval /usr/share/xml/scap/ssg/content/ssg-rhel6-cpe-oval.xml | grep rhel6:def:1
  Definition oval:ssg-installed_OS_is_rhel6:def:1: false

On the other hand, we do not ship scap-security-guide package on ComputeNode. Does customer want to have scap-security-guide on ComputeNode?
Comment 4 Šimon Lukašík 2016-02-23 09:46:43 EST
https://github.com/OpenSCAP/scap-security-guide/pull/1053
Comment 5 Shawn Wells 2016-02-23 22:06:59 EST
Simon - Yes, SSG should be shipping for RHEL for Compute Node.

More broadly, shouldn't OpenSCAP + SSG be shipping for all RHEL variants?
Comment 6 Šimon Lukašík 2016-02-24 06:16:10 EST
Ok, thanks Shawn, I have filed separate bugs (bug 1311490, bug https://bugzilla.redhat.com/show_bug.cgi?id=1311491) to track that.
Comment 7 Mike McCune 2016-03-28 18:47:43 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 11 Marek Haicman 2016-12-11 17:13:43 EST
Verified fix in version scap-security-guide-0.1.28-3.el6.noarch

OLD (scap-security-guide-0.1.28-2.el6.noarch):
:: [   PASS   ] :: Command 'rpm -i rpms/RHEL6/redhat-release-computenode-*.x86_64.rpm' (Expected 0, got 0)
:: [   PASS   ] :: Command 'oscap oval eval /usr/share/xml/scap/ssg/content/ssg-rhel6-cpe-oval.xml > output' (Expected 0, got 0)
:: [   INFO   ] :: Current redhat-release is redhat-release-computenode-6ComputeNode-6.9.0.1.el6.x86_64
:: [   INFO   ] :: Result: Definition oval:ssg-installed_OS_is_rhel6:def:1: false
:: [   FAIL   ] :: computenode is not covered by CPE definition 


NEW:
:: [   PASS   ] :: Command 'rpm -i rpms/RHEL6/redhat-release-computenode-*.x86_64.rpm' (Expected 0, got 0)
:: [   PASS   ] :: Command 'oscap oval eval /usr/share/xml/scap/ssg/content/ssg-rhel6-cpe-oval.xml > output' (Expected 0, got 0)
:: [   INFO   ] :: Current redhat-release is redhat-release-computenode-6ComputeNode-6.9.0.1.el6.x86_64
:: [   INFO   ] :: Result: Definition oval:ssg-installed_OS_is_rhel6:def:1: true
:: [   PASS   ] :: computenode is supported
Comment 13 errata-xmlrpc 2017-03-21 07:51:12 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0785.html

Note You need to log in before you can comment on or make changes to this bug.